Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class SmartCroppingPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--com.sun.jimi.core.component.SmartCroppingPanel

public class SmartCroppingPanel
extends java.awt.Canvas

Cropping renderer which pages image data.

See Also:
  Serialized Form

Field Summary
`protected java.awt.Image` | `cached`
`protected java.awt.Rectangle` | `cachedArea`
`protected JimiCanvas` | `canvas`
`static int` | `HORIZONTAL_PADDING`
`protected boolean` | `needsRedraw`
`protected java.awt.Point` | `position`
`protected JimiRasterImage` | `raster`
`static int` | `VERTICAL_PADDING`
`protected java.awt.Rectangle` | `viewingArea`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`SmartCroppingPanel(JimiCanvas canvas)`

Method Summary
`protected java.awt.Point` | `calculatePosition()`
`protected boolean` | `isCacheValid()`
`void` | `paint(java.awt.Graphics g)`
`void` | `redraw()`
`void` | `setImage(JimiRasterImage raster)`
`void` | `setPosition(int x, int y)`
`void` | `update(java.awt.Graphics g)`
`protected void` | `updateCache()`

Methods inherited from class java.awt.Canvas
`addNotify`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPeer, getPreferredSize, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HORIZONTAL_PADDING

    public static final int HORIZONTAL_PADDING

### VERTICAL_PADDING

    public static final int VERTICAL_PADDING

### raster

    protected JimiRasterImage raster

### cached

    protected java.awt.Image cached

### cachedArea

    protected java.awt.Rectangle cachedArea

### position

    protected java.awt.Point position

### viewingArea

    protected java.awt.Rectangle viewingArea

### canvas

    protected JimiCanvas canvas

### needsRedraw

    protected boolean needsRedraw

Constructor Detail

### SmartCroppingPanel

    public SmartCroppingPanel(JimiCanvas canvas)

Method Detail

### setPosition

    public void setPosition(int x,
                            int y)

### setImage

    public void setImage(JimiRasterImage raster)

### updateCache

    protected void updateCache()

### isCacheValid

    protected boolean isCacheValid()

### update

    public void update(java.awt.Graphics g)

  Overrides:
    update in class java.awt.Component

### redraw

    public void redraw()

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    paint in class java.awt.Canvas

### calculatePosition

    protected java.awt.Point calculatePosition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD